Apache Tomcat 7.0.42

## org.apache.tomcat.util.http.parser
Class MediaType

    java.lang.Object
      org.apache.tomcat.util.http.parser.MediaType

    public class MediaType

extends Object

Constructor Summary
`protected` `MediaType(String type, String subtype, LinkedHashMap<String,String> parameters)`

Method Summary
`String` `getCharset()`
`int` `getParameterCount()`
`String` `getParameterValue(String parameter)`
`String` `getSubtype()`
`String` `getType()`
`String` `toString()`
`String` `toStringNoCharset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MediaType

    protected MediaType(String type,
                        String subtype,
                        LinkedHashMap<String,String> parameters)

Method Detail

### getType

    public String getType()

### getSubtype

    public String getSubtype()

### getCharset

    public String getCharset()

### getParameterCount

    public int getParameterCount()

### getParameterValue

    public String getParameterValue(String parameter)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toStringNoCharset

    public String toStringNoCharset()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.